Bug 418471 - /etc/profile.d/polikt-bash-completion.sh is in the wrong place
/etc/profile.d/polikt-bash-completion.sh is in the wrong place
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: 426071 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-12-10 12:31 EST by Jason Tibbitts
Modified: 2013-03-05 22:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-18 14:00:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2007-12-10 12:31:08 EST
When logging in to a rawhide machine, I get:

/etc/profile.d/polkit-bash-completion.sh:121: command not found: complete
/etc/profile.d/polkit-bash-completion.sh:122: command not found: complete

My shell is zsh, which also reads /etc/profile.d/*.sh but has a different
completion mechanism.  I think there's a directory "/etc/bash_completion.d"
where this kind of thing would be more appropriate.
Comment 1 David Zeuthen 2007-12-13 14:32:19 EST
Maybe it's better to check in the completion script if the shell used is bash (I
think /etc/bash_completion.d is a RH/Fedora-ism)...
Comment 2 Christopher Aillon 2007-12-13 16:06:05 EST
That might be better for PK upstream, but it seems like if Fedora has this, we
should use it as intended in our distro, and push /etc/bash_completion.d to
bash-completion upstream (is that a dead project? :-()
Comment 3 David Zeuthen 2007-12-18 13:39:17 EST
*** Bug 426071 has been marked as a duplicate of this bug. ***
Comment 4 David Zeuthen 2007-12-18 14:00:06 EST
(In reply to comment #1)
> Maybe it's better to check in the completion script if the shell used is bash (I
> think /etc/bash_completion.d is a RH/Fedora-ism)...

In Rawhide now

Comment 5 Jason Tibbitts 2007-12-20 11:12:21 EST
Yep, definitely fixed for me with the latest rawhide push.
Comment 6 Christopher Aillon 2007-12-20 11:54:19 EST
Though I still contend we should put this in /etc/bash_completion.d in Fedora. 
This way users can avoid bash completion if they do not want it by uninstalling
the bash-completion package which would then remove the hooks that traverse that
directory.  It seems strange that PolicyKit would be the only thing that would
get completion on certain installs.  Other packages such as PackageKit and
rpmlint already install scripts to /etc/bash_completion.d and it would be great
if we did too.

Note You need to log in before you can comment on or make changes to this bug.